//
//  ViewController.m
//  ex_NSUserDefaults
//
//  Created by yoshiyuki oshige on 2013/05/20.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	//デフォルトデータを読み込む
    [self loadDefault];
}

//保存されている値を読み込んでUI部品にセットする
- (void)loadDefault
{
    //保存されているNSUserDefaultsオブジェクトを読み込む
    NSUserDefaults *myDefaults = [NSUserDefaults standardUserDefaults];

    //値を取り出してUI部品に設定する
    _myTextField.text = [myDefaults stringForKey:@"textFieldText"];
    _mySlider.value = [myDefaults floatForKey:@"sliderValue"];
    _myLabel.text = [NSString stringWithFormat:@"%.2f", _mySlider.value];
    _mySwitch.on = [myDefaults boolForKey:@"switchOn"];
}

//設定値をユーザーデフォルトに保存する
- (void)saveDefault
{
    NSUserDefaults *myDefaults = [NSUserDefaults standardUserDefaults];
    //テキストフィールドの値を保存する
    [myDefaults setObject:_myTextField.text forKey:@"textFieldText"];
    //スライダーの値を保存する
    [myDefaults setFloat:_mySlider.value forKey:@"sliderValue"];
    //スイッチの値を保存する
    [myDefaults setBool:_mySwitch.on forKey:@"switchOn"];
}

//テキストフィールドのreturnキーでキーボードを下げる
- (IBAction)exitTextField:(UITextField *)sender {
    //とくに何もしなくてもよい
}

//スライダーの値をラベルに表示する
- (IBAction)changedSlider:(UISlider *)sender {
    _myLabel.text = [NSString stringWithFormat:@"%.2f", sender.value];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
