//
//  ViewController.m
//  ex_NSUserDefaults_registerDefaults
//
//  Created by yoshiyuki oshige on 2013/06/17.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

//アプリ起動時に実行される
+ (void) initialize
{
    //初回起動時の初期値データ
    NSMutableDictionary *appDefaults = [[NSMutableDictionary alloc] init];
    [appDefaults setValue:@"abc" forKey:@"textFieldText"];
    [appDefaults setValue:@"0.75" forKey:@"sliderValue"];
    [appDefaults setValue:@"YES" forKey:@"switchOn"];
    //ユーザーデフォルトの初期値に設定する
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    [userDefaults registerDefaults:appDefaults];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	//デフォルトデータを読み込む
    [self loadDefault];
}

//保存されている値を読み込んでUI部品にセットする
- (void)loadDefault
{
    //保存されているNSUserDefaultsオブジェクトを読み込む
    NSUserDefaults *myDefaults = [NSUserDefaults standardUserDefaults];

    //値を取り出してUI部品に設定する
    _myTextField.text = [myDefaults stringForKey:@"textFieldText"];
    _mySlider.value = [myDefaults floatForKey:@"sliderValue"];
    _myLabel.text = [NSString stringWithFormat:@"%.2f", _mySlider.value];
    _mySwitch.on = [myDefaults boolForKey:@"switchOn"];
}

//設定値をユーザーデフォルトに保存する
- (void)saveDefault
{
    NSUserDefaults *myDefaults = [NSUserDefaults standardUserDefaults];
    //テキストフィールドの値を保存する
    [myDefaults setObject:_myTextField.text forKey:@"textFieldText"];
    //スライダーの値を保存する
    [myDefaults setFloat:_mySlider.value forKey:@"sliderValue"];
    //スイッチの値を保存する
    [myDefaults setBool:_mySwitch.on forKey:@"switchOn"];
}

//テキストフィールドのreturnキーでキーボードを下げる
- (IBAction)exitTextField:(UITextField *)sender {
    //とくに何もしなくてもよい
}

//スライダーの値をラベルに表示する
- (IBAction)changedSlider:(UISlider *)sender {
    _myLabel.text = [NSString stringWithFormat:@"%.2f", sender.value];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end